For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all groups
      • POSTCreate a group
      • GETRetrieve a group
      • PUTUpdate a group
      • GETList employees in a group
      • POSTAdd an employee to a group
      • POSTCheck employee eligibility for a group
    • API Errors
Get access
LogoLogo
API ReferenceGroups

List employees in a group

GET
/groups/:group_id/employees
GET
/groups/:group_id/employees
$curl https://test.api.kota.io/groups/gr_3b1333d87d9d4fd6ad83ba7f6b0e951a/employees \
> -H "Authorization: Bearer <apiKey>"
200Retrieved
1{
2 "items": [
3 {
4 "id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "group_id": "gr_3b1333d87d9d4fd6ad83ba7f6b0e951a",
6 "policies": [
7 {
8 "id": "p_3b1333d87d9d4fd6ad83ba7f6b0e951a"
9 }
10 ],
11 "enrolments": [
12 {
13 "id": "ei_3b1333d87d9d4fd6ad83ba7f6b0e951a"
14 }
15 ],
16 "eligibility_status": "pending",
17 "enrolment_status": "enrolled",
18 "scheduled_group_transitions": [
19 {
20 "new_group_id": "gr_3b1333d87d9d4fd6ad83ba7f6b0e951a",
21 "scheduled_date": "2024-12-01"
22 }
23 ],
24 "object": "string",
25 "desired_policy_start_date": "2024-12-01",
26 "enrolment_date": "2024-12-01"
27 }
28 ],
29 "page": 123,
30 "page_size": 123,
31 "total_count": 123,
32 "has_next_page": true,
33 "has_previous_page": true
34}

Returns a list of employees in a group with their policies and enrolments. The employees are returned sorted by addition date, with the most recently added employees appearing first.

Previous

Update a group

Next

Add an employee to a group

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

group_idstringRequiredformat: "gr_.+"

Query parameters

employee_idstringOptionalformat: "ee_.+"
Filter by employee ID.
pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page